> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/agents/diagnostics/enrollment-server.md).

# Enrollment Server

## Get Enrollment Server

> Retrieves the agent diagnostic information about an installed RAS Enrollment Server Agent.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/Agent/Diagnostic/EnrollmentServer":{"get":{"tags":["0-Infrastructure//Agents"],"summary":"Get Enrollment Server","description":"Retrieves the agent diagnostic information about an installed RAS Enrollment Server Agent.","operationId":"cd798e63-0e65-42ee-8034-9b20db1e1d12","parameters":[{"name":"Server","in":"query","description":"The name of server from which to retrieve Enrollment Server Agent information. This must be the actual server name used in the RAS farm.","schema":{"type":"string"}},{"name":"SiteId","in":"query","description":"Site ID from which to retrieve the specified Enrollment Server Agent information (optional).","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/EnrollmentServerAgentDiagnostic"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"EnrollmentServerAgentDiagnostic":{"type":"object","properties":{"server":{"type":"string","description":"<para type=\"description\">Server name.</para>","nullable":true},"agentDiagnosticType":{"$ref":"#/components/schemas/RASAgentDiagnosticType"},"agentVersion":{"type":"string","description":"<para type=\"description\">Agent Version.</para>","nullable":true},"osVersion":{"type":"string","description":"<para type=\"description\">Operating System Version.</para>","nullable":true},"state":{"$ref":"#/components/schemas/DiagnosticState"},"connectedBrokerIP":{"type":"string","description":"<para type=\"description\">Connected Broker IP.</para>","nullable":true},"version":{"type":"integer","description":"<para type=\"description\">Version.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Enrollment Server Agent Diagnostic</para>\r\n<para type=\"description\"></para>"},"RASAgentDiagnosticType":{"enum":[["1 = RDS","2 = Provider","3 = Gateway","4 = Guest","7 = Broker","25 = HALBDevice","46 = EnrollmentServer","64 = AVDWorkspace","65 = AVDHostPool","66 = AVDTemplate","67 = AVDHost","96 = AVDTemplateVersion"]],"type":"string","description":"<para type=\"synopsis\">RAS Agent Diagnostic Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"DiagnosticState":{"enum":[["0 = StartCheck","1 = NotVerified","2 = Pending","3 = Error","4 = OK","5 = NeedsUpdate","6 = PortMismatch","7 = Synchronising","8 = TSDisabled","9 = PreChecking","10 = RebootPending","11 = TSInstalling","13 = Rebooting","15 = LogonDrainUntilReboot","16 = LogonDrain","17 = LogonDisable","18 = SchedRebootPending","20 = StartCheckUDP","22 = NotFound","23 = FIPSModeFailed","24 = FIPSModeUnsupported","25 = FSLogixNotAvail","26 = OSNotSupported","27 = SchedShutdownPending","28 = FailedPerfCounters","256 = NotInstalled"]],"type":"string","description":"<para type=\"description\">Diagnostic State</para>\r\n<para type=\"synopsis\">Diagnostic State</para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/agents/diagnostics/enrollment-server.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
